### Function

# RB RhythmDB query_copy

#### Declaration [src]

    RhythmDBQuery*
    rhythmdb_query_copy (
      RhythmDBQuery* array
    )

#### Description [src]

Creates a copy of a query.

#### Parameters

`array`

  Type: `RhythmDBQuery`

  The query to copy.

  The data is owned by the caller of the function.

#### Return value

Type: `RhythmDBQuery`

A copy of the passed query. It must be freed with rhythmdb_query_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.